AppdefEntityValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.AppdefEntityValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class AppdefEntityValue

    java.lang.Object
      org.hyperic.hq.appdef.shared.AppdefEntityValue

    public class AppdefEntityValue

extends java.lang.Object

A class which handles fetching of data common to appdef entities. This class should only be used from within the server. Really this is just a superclass which is not.

Constructor Summary
`AppdefEntityValue(AppdefEntityID id, AuthzSubject subject)`
`AppdefEntityValue(AuthzSubject subject, Platform platform)`

Method Summary
`AppdefGroupValue` | `getAppdefGroupValue()` Get the AppdefGroupValue if this was a group
`AppdefResourceType` | `getAppdefResourceType()` Get the AppdefResourceType POJO
`PageList` | `getAssociatedPlatforms(PageControl pc)`
`java.util.List` | `getAssociatedServerIds(java.lang.Integer typeId)` Get the AppdefEntityIDs of servers of a specific type associated with this resource
`PageList` | `getAssociatedServers(java.lang.Integer typeId, PageControl pc)` Get the servers of a specific type associated with this resource
`PageList` | `getAssociatedServers(PageControl pc)` Get the servers associated with this resource
`java.util.List` | `getAssociatedServiceIds(java.lang.Integer typeId)` Get the service IDs of a specific type associated with this resource
`PageList` | `getAssociatedServices(java.lang.Integer typeId, PageControl pc)` Get the services of a specific type associated with this resource
`PageList` | `getAssociatedServices(PageControl pc)` Get the services associated with this resource
`java.lang.String` | `getBasePlatformName()` Get the platform name associated with the given entity.
`java.lang.String` | `getDescription()`
`AppdefEntityID[]` | `getFlattenedServiceIds()`
`AppdefEntityID` | `getID()`
`java.lang.String` | `getMonitorableType()`
`java.lang.String` | `getName()`
`AppdefResource` | `getResourcePOJO()` Get the POJO object for a given AppdefEntityID.
`AppdefResourceValue` | `getResourceValue()` Get the AppdefResourceValue for a given AppdefEntityID.
`AuthzSubject` | `getSubject()`
`java.lang.String` | `getTypeName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppdefEntityValue

    public AppdefEntityValue(AppdefEntityID id,
                             AuthzSubject subject)

### AppdefEntityValue

    public AppdefEntityValue(AuthzSubject subject,
                             Platform platform)

Method Detail

### getID

    public AppdefEntityID getID()

### getSubject

    public AuthzSubject getSubject()

### getMonitorableType

    public java.lang.String getMonitorableType()
                                        throws PermissionException,
                                               AppdefEntityNotFoundException

  Throws:
    `PermissionException`
    `AppdefEntityNotFoundException`

### getName

    public java.lang.String getName()
                             throws PermissionException,
                                    AppdefEntityNotFoundException

  Throws:
    `PermissionException`
    `AppdefEntityNotFoundException`

### getDescription

    public java.lang.String getDescription()
                                    throws PermissionException,
                                           AppdefEntityNotFoundException

  Throws:
    `PermissionException`
    `AppdefEntityNotFoundException`

### getTypeName

    public java.lang.String getTypeName()
                                 throws AppdefEntityNotFoundException,
                                        PermissionException

  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`

### getResourcePOJO

    public AppdefResource getResourcePOJO()
                                   throws PermissionException,
                                          AppdefEntityNotFoundException

  Get the POJO object for a given AppdefEntityID. Groups are not supported

  Throws:
    `PermissionException`
    `AppdefEntityNotFoundException`

### getResourceValue

    public AppdefResourceValue getResourceValue()
                                         throws PermissionException,
                                                AppdefEntityNotFoundException

  Get the AppdefResourceValue for a given AppdefEntityID. This can also be used to validate that a given AppdefEntityID is valid.

  Throws:
    `PermissionException`
    `AppdefEntityNotFoundException`

### getAppdefResourceType

    public AppdefResourceType getAppdefResourceType()
                                             throws PermissionException,
                                                    AppdefEntityNotFoundException

  Get the AppdefResourceType POJO

  Throws:
    `PermissionException`
    `AppdefEntityNotFoundException`

### getAppdefGroupValue

    public AppdefGroupValue getAppdefGroupValue()
                                         throws AppdefGroupNotFoundException,
                                                PermissionException

  Get the AppdefGroupValue if this was a group

  Throws:
    `AppdefGroupNotFoundException`
    `PermissionException`

### getAssociatedPlatforms

    public PageList getAssociatedPlatforms(PageControl pc)
                                    throws PermissionException,
                                           AppdefEntityNotFoundException

  Throws:
    `PermissionException`
    `AppdefEntityNotFoundException`

### getAssociatedServers

    public PageList getAssociatedServers(PageControl pc)
                                  throws PermissionException,
                                         AppdefEntityNotFoundException

  Get the servers associated with this resource

  Parameters:
    `pc` - the page control object
  Returns:
    a PageList of ServiceValue's
  Throws:
    `PermissionException`
    `AppdefEntityNotFoundException`

### getAssociatedServers

    public PageList getAssociatedServers(java.lang.Integer typeId,
                                         PageControl pc)
                                  throws AppdefEntityNotFoundException,
                                         PermissionException

  Get the servers of a specific type associated with this resource

  Parameters:
    `pc` - the page control object
  Returns:
    a PageList of ServiceValue's
  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`

### getAssociatedServerIds

    public java.util.List getAssociatedServerIds(java.lang.Integer typeId)
                                          throws AppdefEntityNotFoundException,
                                                 PermissionException

  Get the AppdefEntityIDs of servers of a specific type associated with this resource

  Parameters:
    `pc` - the page control object
  Returns:
    a PageList of ServiceValue's
  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`

### getAssociatedServices

    public PageList getAssociatedServices(PageControl pc)
                                   throws PermissionException,
                                          AppdefEntityNotFoundException,
                                          ApplicationNotFoundException

  Get the services associated with this resource

  Returns:
    a PageList of ServiceValue's
  Throws:
    `PermissionException`
    `AppdefEntityNotFoundException`
    `ApplicationNotFoundException`

### getAssociatedServices

    public PageList getAssociatedServices(java.lang.Integer typeId,
                                          PageControl pc)
                                   throws ApplicationNotFoundException,
                                          AppdefEntityNotFoundException,
                                          PermissionException

  Get the services of a specific type associated with this resource

  Parameters:
    `pc` - the page control object
  Returns:
    a PageList of ServiceValues and ServiceClusterValues (in case of applications)
  Throws:
    `ApplicationNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### getAssociatedServiceIds

    public java.util.List getAssociatedServiceIds(java.lang.Integer typeId)
                                           throws ApplicationNotFoundException,
                                                  AppdefEntityNotFoundException,
                                                  PermissionException

  Get the service IDs of a specific type associated with this resource

  Returns:
    a PageList of ServiceValues and ServiceClusterValues (in case of applications)
  Throws:
    `ApplicationNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### getFlattenedServiceIds

    public AppdefEntityID[] getFlattenedServiceIds()
                                            throws ApplicationNotFoundException,
                                                   AppdefEntityNotFoundException,
                                                   PermissionException

  Throws:
    `ApplicationNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### getBasePlatformName

    public java.lang.String getBasePlatformName()
                                         throws PermissionException,
                                                AppdefEntityNotFoundException

  Get the platform name associated with the given entity.

  Returns:
    The name of the platform type, such as Linux, Win32, HPUX, Solaris, etc.
  Throws:
    `PermissionException`
    `AppdefEntityNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.